From da380f6cf86bc4c7acc7e932c940408559c1c98d Mon Sep 17 00:00:00 2001
From: Stefan Popa <Stefan.Popa@freescale.com>
Date: Fri, 1 Oct 2010 15:22:58 +0300
Subject: [PATCH] Fix for MPC8360E ATM Quad OC3 External Phys

* Changed the CS4 and CS5 addresses on Local Bus for matching the PMC0 and PMC1 addresses.

Signed-off-by: Stefan Popa <Stefan.Popa@freescale.com>
---
 include/configs/MPC8360EMDS.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/include/configs/MPC8360EMDS.h b/include/configs/MPC8360EMDS.h
index 87a137b..6b3d71e 100644
--- a/include/configs/MPC8360EMDS.h
+++ b/include/configs/MPC8360EMDS.h
@@ -294,13 +294,13 @@
 /*
  * CS4 on Local Bus, to PIB
  */
-#define CONFIG_SYS_BR4_PRELIM	0xf8010801 /* CS4 base address at 0xf8010000 */
+#define CONFIG_SYS_BR4_PRELIM	0xf8008801 /* CS4 base address at 0xf8008000 */
 #define CONFIG_SYS_OR4_PRELIM	0xffffe9f7 /* size 32KB, port size 8bit, GPCM */
 
 /*
  * CS5 on Local Bus, to PIB
  */
-#define CONFIG_SYS_BR5_PRELIM	0xf8008801 /* CS5 base address at 0xf8008000 */
+#define CONFIG_SYS_BR5_PRELIM	0xf8010801 /* CS5 base address at 0xf8010000 */
 #define CONFIG_SYS_OR5_PRELIM	0xffffe9f7 /* size 32KB, port size 8bit, GPCM */
 
 /*
-- 
1.7.2.2

